curl -X DELETE https://app.drime.cloud/api/v1/file-entries/123456/shareable-link \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/shareable-link', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
console.log('Link deleted');
import requests
response = requests.delete(
'https://app.drime.cloud/api/v1/file-entries/123456/shareable-link',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
print('Link deleted')
{
"status": "success"
}
Shareable Links
Delete Shareable Link
Delete a shareable link
DELETE
/
file-entries
/
{entryId}
/
shareable-link
curl -X DELETE https://app.drime.cloud/api/v1/file-entries/123456/shareable-link \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/shareable-link', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
console.log('Link deleted');
import requests
response = requests.delete(
'https://app.drime.cloud/api/v1/file-entries/123456/shareable-link',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
print('Link deleted')
{
"status": "success"
}
Overview
Deletes a shareable link, revoking access for anyone who had the link.Path Parameters
integer
required
ID or hash of the file entry
Response
string
Request status (
success)curl -X DELETE https://app.drime.cloud/api/v1/file-entries/123456/shareable-link \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/123456/shareable-link', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
console.log('Link deleted');
import requests
response = requests.delete(
'https://app.drime.cloud/api/v1/file-entries/123456/shareable-link',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
print('Link deleted')
{
"status": "success"
}
Deleting a link immediately revokes access. Anyone with the old link will no longer be able to access the file.
⌘I

